## ros-melodic-ros-speech-recognition 2.1.24

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_speech_recognition)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  dynamic_reconfigure
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/SpeechRecognition.cfg
)

catkin_package()

if($ENV{ROS_DISTRO} STREQUAL "noetic")
  catkin_generate_virtualenv(
    PYTHON_INTERPRETER python3
    )
else()
  catkin_generate_virtualenv()
endif()

catkin_install_python(
  PROGRAMS scripts/speech_recognition_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES requirements.txt
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  catkin_install_python(
    PROGRAMS scripts/speech_recognition_node.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )
  add_rostest(test/sample_ros_speech_recognition.test
    DEPENDENCIES ${PROJECT_NAME}_generate_virtualenv
  )
  roslaunch_add_file_check(launch/speech_recognition.launch)
endif()

## ros-melodic-ros-speech-recognition 2.1.21

=== debian/changelog ===
ros-melodic-ros-speech-recognition (2.1.21-3stretch) stretch; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.20-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.19-3stretch) stretch; urgency=high

  * Fixed issue #201 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/201> as requested, see https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/202
  * Contributors: MrMarshy

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.18-3stretch) stretch; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * fix 2to3, with print, raise, exception
    
  * [ros_speech_recognition] Enable multi channel audio recognition (#198 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/198>)
    
      * adjust type code to the CPU platform
      * replace rosparam name: channels -> n_channel
      * add rosparam description to README
      * enable multi channel audio recognition
    
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * Add flac as run_depend for SpeechRecognition pip package
      * Use catkin_virtualenv to use SpeechRecognition pip package
      * Add arguments and params to pass rostest
      * Add test for ros_speech_recognition
      * add args to launch
      * add pip install to tutorials
      * add param description to README
    
  * Contributors: Kei Okada, Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.17-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.16-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.15-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.14-3stretch) stretch; urgency=high

  * set SoundRequest.volume for kinetic (#173 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/173>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.13-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.12-3stretch) stretch; urgency=high

  * fixes GoogleCloud auth (#158 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/158>)
  * Contributors: jonasius

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.11-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.10-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.9-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.8-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.7-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.6-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.5-3stretch) stretch; urgency=high

  * ros_speech_recognition: add continuous mode (#127 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/127>)
  * ros_speech_recognition: add README (#123 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/123>)
  * add ros_speech_recognition package (#121 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/121>)
  * Contributors: Yuki Furuta

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.4-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.3-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.2-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.1-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.0-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.0.20-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.0.19-3stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-melodic-ros-speech-recognition (2.0.18-3stretch) stretch; urgency=high





=== debian/control ===
Source: ros-melodic-ros-speech-recognition
Section: misc
Priority: optional
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), g++, ros-melodic-catkin, ros-melodic-catkin-virtualenv, ros-melodic-dynamic-reconfigure, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-speech-recognition-msgs
Homepage: https://pypi.python.org/pypi/SpeechRecognition/
Standards-Version: 3.9.2

Package: ros-melodic-ros-speech-recognition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flac, ros-melodic-audio-capture, ros-melodic-audio-common-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-sound-play, ros-melodic-speech-recognition-msgs
Description: ROS wrapper for Python SpeechRecognition library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.

	## WORKAROUND FOR FIX http://build.ros.org/view/Mbin_uB64/job/Mbin_uB64__ros_speech_recognition__ubuntu_bionic_amd64__binary/37/consoleText
	## https://stackoverflow.com/questions/28949154/trying-to-package-unity-game-in-ubuntu-linux-debian/29311292
	## if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	## dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ros-speech-recognition//opt/ros/melodic/lib/
	echo "Skipping dh_shlibdeps"

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

override_dh_strip:
	dh_strip $-Xflac

## ros-melodic-ros-speech-recognition 2.1.24

=== debian/changelog ===
ros-melodic-ros-speech-recognition (2.1.24-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.23-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.22-2bionic) bionic; urgency=high

  * enable to change topic name from speech_recognition.launch (#254 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/254>)
  * support SpeakerDiarization, see https://cloud.google.com/speech-to-text/docs/reference/rest/v1/speech/recognize#SpeechRecognitionAlternative (#244 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/244>)
    
      * [ros_speech_recognition] Add doc to speech_recognition.launch
        add doc to args, and we need to use rosparm for device, not param. because 'device: ' causes
        load_parameters: unable to set parameters (last param was [/speech_recognition/depth=16]): cannot marshal None unless allow_none is enabled  error
      * more exception message for self.recognize
    
  * Use PYTHON_INTERPRETER python3 in ros_speech_recognition (#225 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/225>)
  * Contributors: Kei Okada, Naoya Yamaguchi, Shingo Kitagawa

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.21-2bionic) bionic; urgency=high

  * add missing packages, closes https://github.com/ros/rosdistro/pull/26216 (#211 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/211>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.20-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.19-2bionic) bionic; urgency=high

  * Fixed issue #201 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/201> as requested, see https://github.com/jsk-ros-pkg/jsk_3rdparty/pull/202
  * Contributors: MrMarshy

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.18-2bionic) bionic; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * fix 2to3, with print, raise, exception
    
  * [ros_speech_recognition] Enable multi channel audio recognition (#198 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/198>)
    
      * adjust type code to the CPU platform
      * replace rosparam name: channels -> n_channel
      * add rosparam description to README
      * enable multi channel audio recognition
    
  * Add args to ros_speech_recognition (#197 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/197>)
    
      * Add flac as run_depend for SpeechRecognition pip package
      * Use catkin_virtualenv to use SpeechRecognition pip package
      * Add arguments and params to pass rostest
      * Add test for ros_speech_recognition
      * add args to launch
      * add pip install to tutorials
      * add param description to README
    
  * Contributors: Kei Okada, Naoya Yamaguchi

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.17-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.16-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.15-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.14-2bionic) bionic; urgency=high

  * set SoundRequest.volume for kinetic (#173 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/173>)
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.13-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 Jul 2019 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.12-2bionic) bionic; urgency=high

  * fixes GoogleCloud auth (#158 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/158>)
  * Contributors: jonasius

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 24 May 2019 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.11-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.10-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.9-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.8-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.7-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.6-2bionic) bionic; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-melodic-ros-speech-recognition (2.1.5-2bionic) bionic; urgency=high

  * ros_speech_recognition: add continuous mode (#127 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/127>)
  * ros_speech_recognition: add README (#123 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/123>)
  * add ros_speech_recognition package (#121 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/121>)
  * Contributors: Yuki Furuta



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
-Build-Depends: debhelper (>= 9.0.0), g++, ros-melodic-catkin, ros-melodic-catkin-virtualenv, ros-melodic-dynamic-reconfigure, ros-melodic-roslaunch, ros-melodic-rostest, ros-melodic-speech-recognition-msgs
+Build-Depends: debhelper (>= 9.0.0), g++, ros-melodic-catkin, ros-melodic-catkin-virtualenv, ros-melodic-dynamic-reconfigure, ros-melodic-roslaunch <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-speech-recognition-msgs
 Homepage: https://pypi.python.org/pypi/SpeechRecognition/
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -65,4 +71,5 @@
 	dh_auto_install
 
 override_dh_strip:
-	dh_strip $-Xflac
+	# WORKAROUND FOR FIX https://github.com/tork-a/jsk_3rdparty-release/commit/302452be190f0423c4e65be401513f27cbca95ad#commitcomment-51919365
+	dh_strip $-Xflac-linux-x86_64 -Xflac-linux-x86 -Xflac-mac -Xflac-win32.exe
